/*
 * Copyright (c) eHealth
 */
using System;
using be.ehealth.technicalconnector.config;
using java.io;
using System.IO;
using System.Reflection;
using NUnit.Framework;

namespace be.fgov.ehealth.technicalconnector.bootstrap.tsl
{
	[TestFixture]
	public class TrustStoreUpdaterIntegrationTest
	{
		
		#region Methods

		[Test]
		public void launch()
		{
			ConfigFactory.setConfigLocation("./be.ehealth.technicalconnector-generic.properties");
			ConfigFactory.getConfigValidator().setProperty("truststoreupdater.local.cache", java.io.File.createTempFile("truststore", ".properties").getAbsolutePath());					
			ConfigFactory.getConfigValidator().setProperty("KEYSTORE_DIR", Path.Combine(TestContext.CurrentContext.TestDirectory,"P12/acc/"));
			TrustStoreUpdater.launch();
		}
		
		#endregion Methods
	}
}
